Bug 544391 - krb5-config --libs output depends on $CFLAGS
krb5-config --libs output depends on $CFLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 540620
  Show dependency treegraph
 
Reported: 2009-12-04 14:22 EST by Edward Sheldrake
Modified: 2010-02-01 12:45 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.7-15.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-01 12:45:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Sheldrake 2009-12-04 14:22:30 EST
Description of problem:
The output of "krb5-config --libs" contains the current value of the CFLAGS environment variable.

Version-Release number of selected component (if applicable):
krb5-devel-1.7-10.fc12

How reproducible:
Always.

Steps to Reproduce:
1. Run CFLAGS=whatever krb5-config --libs
2. Observe output in terminal
3.
  
Actual results:
[ejs@localhost ~]$ CFLAGS="-O0 -march=i386" krb5-config --libs
-O0 -march=i386 -lkrb5 -lk5crypto -lcom_err
[ejs@localhost ~]$ CFLAGS="-O2 -march=core2" krb5-config --libs
-O2 -march=core2 -lkrb5 -lk5crypto -lcom_err

Expected results:
"krb5-config --libs" output shouldn't depend on the current CFLAGS value and it probably shouldn't contain the CFLAGS set when it was built either.

Additional info:
Fedora 11 didn't have this problem. This appears to have caused a multilib conflict in cups (bug #540620) in Fedora 12.
Comment 1 Fedora Update System 2010-01-05 17:53:02 EST
krb5-1.7-15.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.